package com.example.networksample.screen

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Button
import androidx.compose.material3.OutlinedTextField
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.runtime.rememberCoroutineScope
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import com.example.networksample.data.remote.RetrofitClient
import com.example.networksample.data.remote.User
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch

@Composable
fun RegistrationScreen(){
    Column(
        modifier = Modifier
            .fillMaxSize(),
        verticalArrangement = Arrangement.spacedBy(100.dp),
    ) {
        val email = remember { mutableStateOf("") }
        val password = remember { mutableStateOf("") }
        val name = remember { mutableStateOf("") }
        val coroutine = rememberCoroutineScope { Dispatchers.IO }
        OutlinedTextField(
            value = email.value,
            onValueChange = {
                email.value = it
            }
        )
        OutlinedTextField(
            value = password.value,
            onValueChange = {
                password.value = it
            }
        )
        OutlinedTextField(
            value = name.value,
            onValueChange = {
                name.value = it
            }
        )
        Button(
            onClick = {
                val user = User(
                    userName = name.value,
                    email = email.value,
                    password = password.value)
                coroutine.launch {
                    RetrofitClient.retrofit.registration(user)
                }
            }
        ) {

        }
    }
}